Show / Hide Table of Contents

# Class DataEventArgs

Wraps the data sent/received by a proxy server instance.

##### Inheritance

Object
EventArgs
DataEventArgs

##### Inherited Members

EventArgs.Empty
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.EventArguments

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class DataEventArgs : EventArgs

### Properties

#### Buffer

The buffer with data.

##### Declaration

    public byte[] Buffer { get; }

##### Property Value

Type | Description
--- | ---
System.Byte[] |

#### Count

Length from offset in buffer with valid data.

##### Declaration

    public int Count { get; }

##### Property Value

Type | Description
--- | ---
Int32 |

#### Offset

Offset in buffer from which valid data begins.

##### Declaration

    public int Offset { get; }

##### Property Value

Type | Description
--- | ---
Int32 |